#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	AI
%define		pnam	DecisionTree
Summary:	AI::DecisionTree - automatically learns decision trees
Summary(pl.UTF-8):	AI::DecisionTree - automatyczne uczenie drzew decyzyjnych
Name:		perl-AI-DecisionTree
Version:	0.09
Release:	5
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	79ee9671099f498d52571cb91c06ec87
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	perl-GraphViz}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The "AI::DecisionTree" module automatically creates so-called
"decision trees" to explain a set of training data. A decision tree is
a kind of categorizer that use a flowchart-like process for
categorizing new instances. For instance, a learned decision tree
might look like that one in documentation, which classifies for the
concept "play tennis".

%description -l pl.UTF-8
Moduł AI::DecisionTree automatycznie tworzy tak zwane "drzewa
decyzyjne" do objaśniania zbiorów danych uczących. Drzewo decyzyjne to
rodzaj klasyfikatora używającego procesu podobnego do przepływu do
klasyfikacji nowych przypadków. Na przykład, nauczone drzewo decyzyjne
może wyglądać jak to umieszczone w dokumentacji, klasyfikujące dla
pojęcia "gry w tenisa".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/%{pdir}/*.pm
%{perl_vendorarch}/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}
%dir %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance
%attr(755,root,root) %{perl_vendorarch}/auto/%{pdir}/%{pnam}/Instance/*.so
%{_mandir}/man3/*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-AI-DecisionTree.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b41c0d4
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4cbc84d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2a56bc9
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8ab8ced
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 988caa7
- release 2

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> ea1d1b2
- updated to 0.09

* Mon Mar 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5248698
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3f09b9c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 12122ae
- converted to UTF-8

* Tue Nov 15 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 743db81
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f175cf5
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 79b1bc5
- massive: unfold macros in name/summary & other unifications

* Thu May 06 2004 ankry <ankry@pld-linux.org> 4165e18
- fixed perl-devel BR

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 8e6fbe1
- new bconds

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> cd24082
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 0f93bdd
- bcond fixes/porting

* Fri Apr 16 2004 ankry <ankry@pld-linux.org> be8b5f6
- license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> bbad692
- caps and other cosmetics

* Tue Mar 09 2004 Adam Gołębiowski <adamg@pld-linux.org> 0757a08
- new style bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 6e490e4
- spaces -> tab

